Subject: bug#24624: 24.4; Faulty info link -> definition of nth

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2016 11:59:53 +0300

> Date: Thu, 06 Oct 2016 10:50:18 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> there is a link named Definition of nth. It doesn't take me to the
>  >> definition of nth. It jumps me to -- Function: make-list length object.
>  >
>  > I cannot reproduce this, that link does work for me.  I tried both
>  > Emacs 24.4 and the latest 25.1, and the Info reader built into Emacs
>  > works correctly in both cases.
> 
> Something seems to be wrong with the Tag Table in elisp.info.  In this
> particular case I see on line 80603 of elisp.info
> 
> Ref: Definition of nth^?260740^M
> 
> which translates in ‘Info-find-node-2’ to a guesspos of 254814 which is
> somewhere in section 5.1.  With Emacs 25/26 on Windows XP.

You are still using an old makeinfo, do you?  From Texinfo 4.13,
perhaps?  If so, you need to run your Info files through 'flip' or
some other command that removes the CR characters from CR-LF pairs at
EOL.  Or start using the (slower) makeinfo from Texinfo 6.x, which
produces Unix-style Info files by default, even on Windows.

But the OP uses GNU/Linux, so this cannot be the reason for the
problem reported here.

> A Emacs 25.0.50.1 build of 2014-11-25 exhibits
> 
> Ref: Definition of nth^?255333^M
> 
> which gets me to the requested definition.

Yes, we changed the code in Emacs's Info reader to be compatible with
how the new Texinfo calculates positions in tag tables.  There was no
other reasonable solution.

> BTW something completely irrational is happening with edebug here.  Once
> I instrumented a function in info.el I can't `eval-buffer' the info.el
> buffer unless I kill the *info* buffer first.  Otherwise, I immediately
> reenter the debugger.

Is this a new problem?  In any case, it should be a separate
discussion or bug report.

Thanks.